API Documentation
Kuali Research REST APIs - Export Control
Research Export Control ¶
Excon Intl Shipment Documents ¶
Get Excon Intl Shipment Documents by KeyGET/excon/api/v1/excon-intl-shipment-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Intl Shipment Documents with FilteringGET/excon/api/v1/excon-intl-shipment-documents
Example URI
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"documentNumber"
],
"primaryKey": "documentNumber"
}Get Blueprint API specification for Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipment Documents.md"
transfer-encoding: chunkedUpdate Excon Intl Shipment DocumentsPUT/excon/api/v1/excon-intl-shipment-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Intl Shipment DocumentsPUT/excon/api/v1/excon-intl-shipment-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Intl Shipment DocumentsPATCH/excon/api/v1/excon-intl-shipment-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Excon Intl Shipment DocumentsPOST/excon/api/v1/excon-intl-shipment-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Intl Shipment DocumentsPOST/excon/api/v1/excon-intl-shipment-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Intl Shipment Documents by KeyDELETE/excon/api/v1/excon-intl-shipment-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl Shipment DocumentsDELETE/excon/api/v1/excon-intl-shipment-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl Shipment Documents with MatchingDELETE/excon/api/v1/excon-intl-shipment-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Intl Shipments ¶
Get Excon Intl Shipments by KeyGET/excon/api/v1/excon-intl-shipments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Intl Shipments with FilteringGET/excon/api/v1/excon-intl-shipments
Example URI
- shipmentId
string(optional)Shipment ID. Maximum length is 22.
- restrictedExport
string(optional)Restricted Export. Maximum length is 1.
- shipmentDescription
string(optional)Shipment Description. Maximum length is 200.
- restrictedCountry
string(optional)Restricted Country. Maximum length is 1.
- countryCode
string(optional)Country Code. Maximum length is 3.
- sanctionListCode
string(optional)Sanction List. Maximum length is 4.
- restrictedParty
string(optional)Restricted Party. Maximum length is 1.
- receivingParty
string(optional)Receiving Party. Maximum length is 200.
- rpsResultContent
string(optional)- certificationInd
string(optional)Shipment Certification. Maximum length is 1.
- applicantId
string(optional)Person ID. Maximum length is 40.
- applicantName
string(optional)Applicant Name. Maximum length is 200.
- supervisorId
string(optional)Person ID. Maximum length is 40.
- supervisorName
string(optional)Supervisor Name. Maximum length is 200.
- unitNumber
string(optional)The lead unit number for the ExconProject. Maximum length is 8.
- unitName
string(optional)Unit Name. Maximum length is 200.
- exconIntlShipmentDocument.documentNumber
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"shipmentId",
"restrictedExport",
"shipmentDescription",
"restrictedCountry",
"countryCode",
"sanctionListCode",
"restrictedParty",
"receivingParty",
"rpsResultContent",
"certificationInd",
"applicantId",
"applicantName",
"supervisorId",
"supervisorName",
"unitNumber",
"unitName",
"exconIntlShipmentDocument.documentNumber"
],
"primaryKey": "shipmentId"
}Get Blueprint API specification for Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipments.md"
transfer-encoding: chunkedUpdate Excon Intl ShipmentsPUT/excon/api/v1/excon-intl-shipments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Intl ShipmentsPUT/excon/api/v1/excon-intl-shipments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Intl ShipmentsPATCH/excon/api/v1/excon-intl-shipments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Excon Intl ShipmentsPOST/excon/api/v1/excon-intl-shipments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Intl ShipmentsPOST/excon/api/v1/excon-intl-shipments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Intl Shipments by KeyDELETE/excon/api/v1/excon-intl-shipments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl ShipmentsDELETE/excon/api/v1/excon-intl-shipments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl Shipments with MatchingDELETE/excon/api/v1/excon-intl-shipments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- shipmentId
string(optional)Shipment ID. Maximum length is 22.
- restrictedExport
string(optional)Restricted Export. Maximum length is 1.
- shipmentDescription
string(optional)Shipment Description. Maximum length is 200.
- restrictedCountry
string(optional)Restricted Country. Maximum length is 1.
- countryCode
string(optional)Country Code. Maximum length is 3.
- sanctionListCode
string(optional)Sanction List. Maximum length is 4.
- restrictedParty
string(optional)Restricted Party. Maximum length is 1.
- receivingParty
string(optional)Receiving Party. Maximum length is 200.
- rpsResultContent
string(optional)- certificationInd
string(optional)Shipment Certification. Maximum length is 1.
- applicantId
string(optional)Person ID. Maximum length is 40.
- applicantName
string(optional)Applicant Name. Maximum length is 200.
- supervisorId
string(optional)Person ID. Maximum length is 40.
- supervisorName
string(optional)Supervisor Name. Maximum length is 200.
- unitNumber
string(optional)The lead unit number for the ExconProject. Maximum length is 8.
- unitName
string(optional)Unit Name. Maximum length is 200.
- exconIntlShipmentDocument.documentNumber
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Associated Document Types ¶
Get Excon Project Associated Document Types by KeyGET/excon/api/v1/excon-project-associated-document-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Associated Document Types with FilteringGET/excon/api/v1/excon-project-associated-document-types
Example URI
- assocDocTypeCode
string(optional)Export Control Project Associated Document Type Code. Maximum length is 8.
- assocDocTypeName
string(optional)Export Control Project Associated Document Type Name. Maximum length is 40.
- assocDocTypeClassName
string(optional)Export Control Project Associated Document Type Class Name. Maximum length is 100.
- assocDocTypeNumberAttr
string(optional)Export Control Project Associated Document Type Number Attr. Maximum length is 40.
- returnsVals
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"assocDocTypeCode",
"assocDocTypeName",
"assocDocTypeClassName",
"assocDocTypeNumberAttr",
"returnsVals"
],
"primaryKey": "assocDocTypeCode"
}Get Blueprint API specification for Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Document Types.md"
transfer-encoding: chunkedUpdate Excon Project Associated Document TypesPUT/excon/api/v1/excon-project-associated-document-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Associated Document TypesPUT/excon/api/v1/excon-project-associated-document-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Associated Document TypesPATCH/excon/api/v1/excon-project-associated-document-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}204Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Associated Document TypesPOST/excon/api/v1/excon-project-associated-document-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}201Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Associated Document TypesPOST/excon/api/v1/excon-project-associated-document-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Associated Document Types by KeyDELETE/excon/api/v1/excon-project-associated-document-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated Document TypesDELETE/excon/api/v1/excon-project-associated-document-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated Document Types with MatchingDELETE/excon/api/v1/excon-project-associated-document-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- assocDocTypeCode
string(optional)Export Control Project Associated Document Type Code. Maximum length is 8.
- assocDocTypeName
string(optional)Export Control Project Associated Document Type Name. Maximum length is 40.
- assocDocTypeClassName
string(optional)Export Control Project Associated Document Type Class Name. Maximum length is 100.
- assocDocTypeNumberAttr
string(optional)Export Control Project Associated Document Type Number Attr. Maximum length is 40.
- returnsVals
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Associated Documents ¶
Get Excon Project Associated Documents by KeyGET/excon/api/v1/excon-project-associated-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Associated Documents with FilteringGET/excon/api/v1/excon-project-associated-documents
Example URI
- exconProjectAssocDocId
string(optional)Export Control Associated Document ID. Maximum length is 22.
- assocDocTypeCode
string(optional)Associated Document Type Code. Maximum length is 8.
- assocDocNumber
string(optional)Associated Document Identifier. Maximum length is 12.
- assocDocTitle
string(optional)Associated Document Title. Maximum length is 200.
- projectNumber
string(optional)- sequenceNumber
string(optional)- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectAssocDocId",
"assocDocTypeCode",
"assocDocNumber",
"assocDocTitle",
"projectNumber",
"sequenceNumber",
"exconProject.projectId"
],
"primaryKey": "exconProjectAssocDocId"
}Get Blueprint API specification for Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Documents.md"
transfer-encoding: chunkedUpdate Excon Project Associated DocumentsPUT/excon/api/v1/excon-project-associated-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Associated DocumentsPUT/excon/api/v1/excon-project-associated-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Associated DocumentsPATCH/excon/api/v1/excon-project-associated-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Associated DocumentsPOST/excon/api/v1/excon-project-associated-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Associated DocumentsPOST/excon/api/v1/excon-project-associated-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Associated Documents by KeyDELETE/excon/api/v1/excon-project-associated-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated DocumentsDELETE/excon/api/v1/excon-project-associated-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated Documents with MatchingDELETE/excon/api/v1/excon-project-associated-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectAssocDocId
string(optional)Export Control Associated Document ID. Maximum length is 22.
- assocDocTypeCode
string(optional)Associated Document Type Code. Maximum length is 8.
- assocDocNumber
string(optional)Associated Document Identifier. Maximum length is 12.
- assocDocTitle
string(optional)Associated Document Title. Maximum length is 200.
- projectNumber
string(optional)- sequenceNumber
string(optional)- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Attachment Types ¶
Get Excon Project Attachment Types by KeyGET/excon/api/v1/excon-project-attachment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Attachment Types with FilteringGET/excon/api/v1/excon-project-attachment-types
Example URI
- exconProjectAttachmentTypeCode
string(optional)Export Control Project Attachment Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectAttachmentTypeCode",
"description"
],
"primaryKey": "exconProjectAttachmentTypeCode"
}Get Blueprint API specification for Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachment Types.md"
transfer-encoding: chunkedUpdate Excon Project Attachment TypesPUT/excon/api/v1/excon-project-attachment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Attachment TypesPUT/excon/api/v1/excon-project-attachment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Attachment TypesPATCH/excon/api/v1/excon-project-attachment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Attachment TypesPOST/excon/api/v1/excon-project-attachment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Attachment TypesPOST/excon/api/v1/excon-project-attachment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Attachment Types by KeyDELETE/excon/api/v1/excon-project-attachment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Attachment TypesDELETE/excon/api/v1/excon-project-attachment-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Attachment Types with MatchingDELETE/excon/api/v1/excon-project-attachment-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectAttachmentTypeCode
string(optional)Export Control Project Attachment Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Attachments ¶
Get Excon Project Attachments by KeyGET/excon/api/v1/excon-project-attachments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Attachments with FilteringGET/excon/api/v1/excon-project-attachments
Example URI
- exconProjectAttachmentId
string(optional)Export Control Attachment ID. Maximum length is 22.
- projectId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- typeCode
string(optional)Type Code. Maximum length is 3.
- documentId
string(optional)Document ID. Maximum length is 4.
- fileId
string(optional)File Id. Maximum length is 22.
- description
string(optional)Description.
- attachUser
string(optional)- attachDate
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectAttachmentId",
"projectId",
"projectNumber",
"sequenceNumber",
"typeCode",
"documentId",
"fileId",
"description",
"attachUser",
"attachDate"
],
"primaryKey": "exconProjectAttachmentId"
}Get Blueprint API specification for Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachments.md"
transfer-encoding: chunkedUpdate Excon Project AttachmentsPUT/excon/api/v1/excon-project-attachments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project AttachmentsPUT/excon/api/v1/excon-project-attachments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project AttachmentsPATCH/excon/api/v1/excon-project-attachments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project AttachmentsPOST/excon/api/v1/excon-project-attachments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project AttachmentsPOST/excon/api/v1/excon-project-attachments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Attachments by KeyDELETE/excon/api/v1/excon-project-attachments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project AttachmentsDELETE/excon/api/v1/excon-project-attachments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Attachments with MatchingDELETE/excon/api/v1/excon-project-attachments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectAttachmentId
string(optional)Export Control Attachment ID. Maximum length is 22.
- projectId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- typeCode
string(optional)Type Code. Maximum length is 3.
- documentId
string(optional)Document ID. Maximum length is 4.
- fileId
string(optional)File Id. Maximum length is 22.
- description
string(optional)Description.
- attachUser
string(optional)- attachDate
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Comment Types ¶
Get Excon Project Comment Types by KeyGET/excon/api/v1/excon-project-comment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Comment Types with FilteringGET/excon/api/v1/excon-project-comment-types
Example URI
- exconProjectCommentTypeCode
string(optional)Export Control Project Comment Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectCommentTypeCode",
"description"
],
"primaryKey": "exconProjectCommentTypeCode"
}Get Blueprint API specification for Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comment Types.md"
transfer-encoding: chunkedUpdate Excon Project Comment TypesPUT/excon/api/v1/excon-project-comment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Comment TypesPUT/excon/api/v1/excon-project-comment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Comment TypesPATCH/excon/api/v1/excon-project-comment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Comment TypesPOST/excon/api/v1/excon-project-comment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Comment TypesPOST/excon/api/v1/excon-project-comment-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Comment Types by KeyDELETE/excon/api/v1/excon-project-comment-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Comment TypesDELETE/excon/api/v1/excon-project-comment-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Comment Types with MatchingDELETE/excon/api/v1/excon-project-comment-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectCommentTypeCode
string(optional)Export Control Project Comment Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Comments ¶
Get Excon Project Comments by KeyGET/excon/api/v1/excon-project-comments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project CommentsGET/excon/api/v1/excon-project-comments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Comments with FilteringGET/excon/api/v1/excon-project-comments
Example URI
- exconProjectCommentId
string(optional)Export Control Comment Project ID. Maximum length is 22.
- projectNumber
string(optional)- sequenceNumber
string(optional)- commentTypeCode
string(optional)Comment Type Code. Maximum length is 3.
- comments
string(optional)Comments.
- commentAuthor
string(optional)The user who created or last modified the object. Maximum length is 60.
- commentDate
string(optional)The creation or last modification timestamp. Maximum length is 21.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project CommentsGET/excon/api/v1/excon-project-comments
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectCommentId",
"projectNumber",
"sequenceNumber",
"commentTypeCode",
"comments",
"commentAuthor",
"commentDate",
"exconProject.projectId"
],
"primaryKey": "exconProjectCommentId"
}Get Blueprint API specification for Excon Project CommentsGET/excon/api/v1/excon-project-comments
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comments.md"
transfer-encoding: chunkedUpdate Excon Project CommentsPUT/excon/api/v1/excon-project-comments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project CommentsPUT/excon/api/v1/excon-project-comments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project CommentsPATCH/excon/api/v1/excon-project-comments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project CommentsPOST/excon/api/v1/excon-project-comments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project CommentsPOST/excon/api/v1/excon-project-comments
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Comments by KeyDELETE/excon/api/v1/excon-project-comments(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project CommentsDELETE/excon/api/v1/excon-project-comments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Comments with MatchingDELETE/excon/api/v1/excon-project-comments
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectCommentId
string(optional)Export Control Comment Project ID. Maximum length is 22.
- projectNumber
string(optional)- sequenceNumber
string(optional)- commentTypeCode
string(optional)Comment Type Code. Maximum length is 3.
- comments
string(optional)Comments.
- commentAuthor
string(optional)The user who created or last modified the object. Maximum length is 60.
- commentDate
string(optional)The creation or last modification timestamp. Maximum length is 21.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Content Types ¶
Get Excon Project Content Types by KeyGET/excon/api/v1/excon-project-content-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Content TypesGET/excon/api/v1/excon-project-content-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Content Types with FilteringGET/excon/api/v1/excon-project-content-types
Example URI
- contentTypeCode
string(optional)Export Control Project Content Type Code. Maximum length is 5.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Content TypesGET/excon/api/v1/excon-project-content-types
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"contentTypeCode",
"description"
],
"primaryKey": "contentTypeCode"
}Get Blueprint API specification for Excon Project Content TypesGET/excon/api/v1/excon-project-content-types
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Content Types.md"
transfer-encoding: chunkedUpdate Excon Project Content TypesPUT/excon/api/v1/excon-project-content-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Content TypesPUT/excon/api/v1/excon-project-content-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Content TypesPATCH/excon/api/v1/excon-project-content-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Content TypesPOST/excon/api/v1/excon-project-content-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Content TypesPOST/excon/api/v1/excon-project-content-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Content Types by KeyDELETE/excon/api/v1/excon-project-content-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Content TypesDELETE/excon/api/v1/excon-project-content-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Content Types with MatchingDELETE/excon/api/v1/excon-project-content-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- contentTypeCode
string(optional)Export Control Project Content Type Code. Maximum length is 5.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Custom Datas ¶
Get Excon Project Custom Datas by KeyGET/excon/api/v1/excon-project-custom-datas(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Custom DatasGET/excon/api/v1/excon-project-custom-datas
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Custom Datas with FilteringGET/excon/api/v1/excon-project-custom-datas
Example URI
- exconProjectCustomDataId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- customAttributeId
string(optional)- value
string(optional)Value. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Custom DatasGET/excon/api/v1/excon-project-custom-datas
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectCustomDataId",
"projectNumber",
"sequenceNumber",
"customAttributeId",
"value"
],
"primaryKey": "exconProjectCustomDataId"
}Get Blueprint API specification for Excon Project Custom DatasGET/excon/api/v1/excon-project-custom-datas
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Custom Datas.md"
transfer-encoding: chunkedUpdate Excon Project Custom DatasPUT/excon/api/v1/excon-project-custom-datas(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Custom DatasPUT/excon/api/v1/excon-project-custom-datas
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Custom DatasPATCH/excon/api/v1/excon-project-custom-datas(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Custom DatasPOST/excon/api/v1/excon-project-custom-datas
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Custom DatasPOST/excon/api/v1/excon-project-custom-datas
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Custom Datas by KeyDELETE/excon/api/v1/excon-project-custom-datas(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Custom DatasDELETE/excon/api/v1/excon-project-custom-datas
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Custom Datas with MatchingDELETE/excon/api/v1/excon-project-custom-datas
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectCustomDataId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- customAttributeId
string(optional)- value
string(optional)Value. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Destinations ¶
Get Excon Project Destinations by KeyGET/excon/api/v1/excon-project-destinations(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project DestinationsGET/excon/api/v1/excon-project-destinations
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Destinations with FilteringGET/excon/api/v1/excon-project-destinations
Example URI
- exconProjectDestId
string(optional)Export Control Destination ID. Maximum length is 22.
- projectNumber
string(optional)- sequenceNumber
string(optional)- destinationCountryCode
string(optional)Destination Country. Maximum length is 3.
- arrivalDate
string(optional)Destination Arrival Date. Maximum length is 21.
- departureDate
string(optional)Destination Departure Date. Maximum length is 21.
- destinationComment
string(optional)Destination Comment.
- sanctionList
string(optional)Sanction List. Maximum length is 4.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project DestinationsGET/excon/api/v1/excon-project-destinations
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectDestId",
"projectNumber",
"sequenceNumber",
"destinationCountryCode",
"arrivalDate",
"departureDate",
"destinationComment",
"sanctionList",
"exconProject.projectId"
],
"primaryKey": "exconProjectDestId"
}Get Blueprint API specification for Excon Project DestinationsGET/excon/api/v1/excon-project-destinations
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Destinations.md"
transfer-encoding: chunkedUpdate Excon Project DestinationsPUT/excon/api/v1/excon-project-destinations(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project DestinationsPUT/excon/api/v1/excon-project-destinations
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project DestinationsPATCH/excon/api/v1/excon-project-destinations(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project DestinationsPOST/excon/api/v1/excon-project-destinations
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project DestinationsPOST/excon/api/v1/excon-project-destinations
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Destinations by KeyDELETE/excon/api/v1/excon-project-destinations(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project DestinationsDELETE/excon/api/v1/excon-project-destinations
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Destinations with MatchingDELETE/excon/api/v1/excon-project-destinations
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectDestId
string(optional)Export Control Destination ID. Maximum length is 22.
- projectNumber
string(optional)- sequenceNumber
string(optional)- destinationCountryCode
string(optional)Destination Country. Maximum length is 3.
- arrivalDate
string(optional)Destination Arrival Date. Maximum length is 21.
- departureDate
string(optional)Destination Departure Date. Maximum length is 21.
- destinationComment
string(optional)Destination Comment.
- sanctionList
string(optional)Sanction List. Maximum length is 4.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Documents ¶
Get Excon Project Documents by KeyGET/excon/api/v1/excon-project-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project DocumentsGET/excon/api/v1/excon-project-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Documents with FilteringGET/excon/api/v1/excon-project-documents
Example URI
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project DocumentsGET/excon/api/v1/excon-project-documents
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"documentNumber"
],
"primaryKey": "documentNumber"
}Get Blueprint API specification for Excon Project DocumentsGET/excon/api/v1/excon-project-documents
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Documents.md"
transfer-encoding: chunkedUpdate Excon Project DocumentsPUT/excon/api/v1/excon-project-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project DocumentsPUT/excon/api/v1/excon-project-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project DocumentsPATCH/excon/api/v1/excon-project-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}204Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project DocumentsPOST/excon/api/v1/excon-project-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}201Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project DocumentsPOST/excon/api/v1/excon-project-documents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Documents by KeyDELETE/excon/api/v1/excon-project-documents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project DocumentsDELETE/excon/api/v1/excon-project-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Documents with MatchingDELETE/excon/api/v1/excon-project-documents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Email Contents ¶
Get Excon Project Email Contents by KeyGET/excon/api/v1/excon-project-email-contents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Email ContentsGET/excon/api/v1/excon-project-email-contents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
},
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Email Contents with FilteringGET/excon/api/v1/excon-project-email-contents
Example URI
- contentCode
string(optional)Content Code. Maximum length is 20.
- description
string(optional)Description. Maximum length is 200.
- contentTypeCode
string(optional)contentTypeCode. Maximum length is 5.
- fileName
string(optional)- contentType
string(optional)- attachmentContent
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
},
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Email ContentsGET/excon/api/v1/excon-project-email-contents
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"contentCode",
"description",
"contentTypeCode",
"fileName",
"contentType",
"attachmentContent"
],
"primaryKey": "contentCode"
}Get Blueprint API specification for Excon Project Email ContentsGET/excon/api/v1/excon-project-email-contents
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Email Contents.md"
transfer-encoding: chunkedUpdate Excon Project Email ContentsPUT/excon/api/v1/excon-project-email-contents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Email ContentsPUT/excon/api/v1/excon-project-email-contents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
},
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Email ContentsPATCH/excon/api/v1/excon-project-email-contents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}204Body
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Email ContentsPOST/excon/api/v1/excon-project-email-contents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}201Body
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Email ContentsPOST/excon/api/v1/excon-project-email-contents
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
},
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
},
{
"contentCode": "(val)",
"description": "(val)",
"contentTypeCode": "(val)",
"fileName": "(val)",
"contentType": "(val)",
"attachmentContent": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Email Contents by KeyDELETE/excon/api/v1/excon-project-email-contents(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Email ContentsDELETE/excon/api/v1/excon-project-email-contents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Email Contents with MatchingDELETE/excon/api/v1/excon-project-email-contents
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- contentCode
string(optional)Content Code. Maximum length is 20.
- description
string(optional)Description. Maximum length is 200.
- contentTypeCode
string(optional)contentTypeCode. Maximum length is 5.
- fileName
string(optional)- contentType
string(optional)- attachmentContent
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Event Types ¶
Get Excon Project Event Types by KeyGET/excon/api/v1/excon-project-event-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Event TypesGET/excon/api/v1/excon-project-event-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Event Types with FilteringGET/excon/api/v1/excon-project-event-types
Example URI
- exconProjectEventTypeCode
string(optional)Export Control Project Event Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Event TypesGET/excon/api/v1/excon-project-event-types
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectEventTypeCode",
"description"
],
"primaryKey": "exconProjectEventTypeCode"
}Get Blueprint API specification for Excon Project Event TypesGET/excon/api/v1/excon-project-event-types
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Event Types.md"
transfer-encoding: chunkedUpdate Excon Project Event TypesPUT/excon/api/v1/excon-project-event-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Event TypesPUT/excon/api/v1/excon-project-event-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Event TypesPATCH/excon/api/v1/excon-project-event-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Body
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Event TypesPOST/excon/api/v1/excon-project-event-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}201Body
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Event TypesPOST/excon/api/v1/excon-project-event-types
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Event Types by KeyDELETE/excon/api/v1/excon-project-event-types(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Event TypesDELETE/excon/api/v1/excon-project-event-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Event Types with MatchingDELETE/excon/api/v1/excon-project-event-types
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- exconProjectEventTypeCode
string(optional)Export Control Project Event Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Excon Project Events ¶
Get Excon Project Events by KeyGET/excon/api/v1/excon-project-events(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"exconProjectEventId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"projectEventTypeCode": "(val)",
"eventDate": "(val)",
"eventComment": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project EventsGET/excon/api/v1/excon-project-events
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectEventId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"projectEventTypeCode": "(val)",
"eventDate": "(val)",
"eventComment": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"projectEventTypeCode": "(val)",
"eventDate": "(val)",
"eventComment": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Events with FilteringGET/excon/api/v1/excon-project-events
Example URI
- exconProjectEventId
string(optional)Export Control Event ID. Maximum length is 22.
- projectNumber
string(optional)- sequenceNumber
string(optional)- projectEventTypeCode
string(optional)Project Event Type. Maximum length is 3.
- eventDate
string(optional)Project Event Date. Maximum length is 21.
- eventComment
string(optional)Event Comment.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"exconProjectEventId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"projectEventTypeCode": "(val)",
"eventDate": "(val)",
"eventComment": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"exconProjectEventId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"projectEventTypeCode": "(val)",
"eventDate": "(val)",
"eventComment": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project EventsGET/excon/api/v1/excon-project-events
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"exconProjectEventId",
"projectNumber",
[...]
